PDA

View Full Version : Mac minimum requirements overstated?


Jude
06-07-2008, 01:58 AM
I just tried out the demo on my Power Mac G4, 1.25 GHz dual processor running OS X 10.3.9, with Geforce 4 Ti 4600 128 MB AGP graphics card, and 160 GB ATA hard drive.

It seems to work fine so far, even though I set the screen resolution and refresh rate higher.

I have not left the tutorial yet, though, so maybe there are features or areas of the game that require a faster machine or a newer OS.

Has anyone else tested the game with a PPC Mac running OS X 10.3.9? If so, have you run into any problems?

Jude

chidori56
06-07-2008, 02:14 PM
well ya duels are like having one proccessor in your case 2.5GHz. and any ways they over stat it for a reason so that you know what you should have so you still have a great time just look at your computer then play some high minimum games thats what i do (i don't realy count because i have a gaming laptop >.< but you get the point)good example before i got my laptop i played 9Dragons acclaim (this games way better and is barly making my computer work compaired to 9D) they said 156MB graphics card i played with a 64 (very lag filled though) but when i first started playing there was no lag and i missed every requirement but 1 the CPU minimum I think i still suceede it 2.2GHz and minimum is 1.8GHZ but you get the point they over rate it so people know how to get the minimum lag and freezes with these sort of games. by the way the HD doesn't even have to be noticed it's just to hold programs just that.

Shadow
06-07-2008, 03:29 PM
Yeah, the game might very well run well enough on machines slower than our min specs. The minimum is mostly a reasonable guess on my part.

The only issue with 10.3.9 is that you need to have OpenAL installed (which doesn't come preinstalled until 10.4 I believe). In your case, since the game runs I assume you already have OpenAL.

Jude
06-08-2008, 08:43 AM
Yeah, the game might very well run well enough on machines slower than our min specs. The minimum is mostly a reasonable guess on my part.

The only issue with 10.3.9 is that you need to have OpenAL installed (which doesn't come preinstalled until 10.4 I believe). In your case, since the game runs I assume you already have OpenAL.

Thanks for the info. Yes, I installed OpenAL for a couple of other Mac games that required it (mostly from pangeasoft.net). It's a free download, so it wasn't a problem. You may want to list that (10.3.9 with OpenAL installed) on your Mac system requirements.

Well, this may be very cool. The game looks good and is is a bargain for $20. I'm going to spend some more time with the demo to see if any problems arise, and if not, I'll be getting myself a new RPG!

I do have another couple of questions, though:

Does the registration process require a "call home" or invalidate itself after one use? I am planning to get a new Mac sometime next year (I hope), and would like to be able to re-install the game, then.

Are you going to make the mod-maker SDK available for the Mac? It seems that most RPG games neglect to do this, although Mac people are usually quite creative and would love to make mods!


Jude

Shadow
06-08-2008, 10:28 AM
No nothing calls home so you won't have any problems.

I actually hadn't thought about the SDK yet. Most of the things inside it are text files so that part wouldn't be a problem. There are however 2 executables that I'm not sure how painful they would be to port.

Jude
06-25-2008, 06:57 AM
Well, I just purchased the full Mac version and am looking forward to many hours of fun! :D But I would still like to see a Mac version of the mod maker....

Jude

EDIT: Hmm, it looks like my demo characters were saved into the full version. Cool!

Shadow
06-26-2008, 11:36 AM
The documents in the SDK are now available on the Mac. Grab them from our Mod page (http://www.soldak.com/Depths-of-Peril/Mods.html).

Jude
06-26-2008, 03:24 PM
Cool! Thanks. :)

Jude

Paladin Sponge
06-26-2008, 06:12 PM
Sweet!

(The following errors occurred when this message was submitted:
The message you have entered is too short. Please lengthen your message to at least 10 characters.)